/*
 * Tachometer with DL430 display ver 1.0
 *
 * Juha Niinikoski 11.03.2005
 *
 * Changed to HDSP-B03E display & new PCB 30.03.2005
 *
*/

/* Constants and definitions */


/* I/O definitions */

/* Port A */

#define	PORTA_INIT	0
#define TRISA_INIT	    0b00100011	// RA0,1 comp inp, RA2 = strobo out
									// RA3,4,6,7 = digit select out
#define SB 0x04						// strobo LED bit mask

#define DIGIT_DRIVE	PORTA			// digit select bits


/* Port B */

#define	PORTB_INIT	0
#define	TRISB_INIT	0x00		// all outputs = segment drive

#define SEGMENT_DRIVE	PORTB		// segment bits


/* Other IO */

#define CMCON_INIT	0x32			// internal ref, inverted, CIS = 0

#define VRCON_INIT	0xA1			// 200mV ref

/* Comparator inputs */
#define SIGNAL	0x80		// C2 = signal input comparator, pin #18
#define MODE	0x40		// C1 ) mode select comparator, pin #17


/* define segment signals (HDSP-B03E Hardware) */
#define A	0x04
#define B	0x80
#define C	0x10
#define D	0x02
#define E	0x01
#define F	0x08
#define G	0x40
#define Dp	0x20

/*   Define unsigned data types   */

#ifndef _BYTE_DEFINED_
#define _BYTE_DEFINED_

typedef unsigned char BYTE;
typedef unsigned int WORD;
typedef unsigned long LWORD;

#endif


/*   Define Boolean data type   */

#ifndef _BOOL_DEFINED_
#define _BOOL_DEFINED_

typedef BYTE BOOL;

#define FALSE 0
#define TRUE 1

#endif

/*   Define null pointer   */

#ifndef NULL
#define NULL (void *)0
#endif


